Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.impl
Class XMLDocumentScannerImpl

    java.lang.Object
      weblogic.apache.xerces.impl.XMLScanner
          weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl
              weblogic.apache.xerces.impl.XMLDocumentScannerImpl

All Implemented Interfaces:
  XMLEntityHandler, XMLComponent, XMLDocumentScanner, XMLDocumentSource

Direct Known Subclasses:
  XML11DocumentScannerImpl

Deprecated. please use JDK supplied XML parsers and transformers

    public class XMLDocumentScannerImpl

extends XMLDocumentFragmentScannerImpl

This class is responsible for scanning XML document structure and content. The scanner acts as the source for the document information which is communicated to the document handler.

This component requires the following features and properties from the component manager that uses it:

- http://xml.org/sax/features/namespaces
- http://xml.org/sax/features/validation
- http://apache.org/xml/features/nonvalidating/load-external-dtd
- http://apache.org/xml/features/scanner/notify-char-refs
- http://apache.org/xml/features/scanner/notify-builtin-refs
- http://apache.org/xml/properties/internal/symbol-table
- http://apache.org/xml/properties/internal/error-reporter
- http://apache.org/xml/properties/internal/entity-manager
- http://apache.org/xml/properties/internal/dtd-scanner

Nested Class Summary
`protected class` | `XMLDocumentScannerImpl.ContentDispatcher` Deprecated. Dispatcher to handle content scanning.
`protected class` | `XMLDocumentScannerImpl.DTDDispatcher` Deprecated. Dispatcher to handle the internal and external DTD subsets.
`protected class` | `XMLDocumentScannerImpl.PrologDispatcher` Deprecated. Dispatcher to handle prolog scanning.
`protected class` | `XMLDocumentScannerImpl.TrailingMiscDispatcher` Deprecated. Dispatcher to handle trailing miscellaneous section scanning.
`protected class` | `XMLDocumentScannerImpl.XMLDeclDispatcher` Deprecated. Dispatcher to handle XMLDecl scanning.

Nested classes/interfaces inherited from class weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl
`XMLDocumentFragmentScannerImpl.Dispatcher, XMLDocumentFragmentScannerImpl.ElementStack, XMLDocumentFragmentScannerImpl.FragmentContentDispatcher`

Field Summary
`protected static String` | `DTD_SCANNER` Deprecated. Property identifier: DTD scanner.
`protected String` | `fDoctypeName` Deprecated. Doctype name.
`protected String` | `fDoctypePublicId` Deprecated. Doctype declaration public identifier.
`protected String` | `fDoctypeSystemId` Deprecated. Doctype declaration system identifier.
`protected XMLDocumentFragmentScannerImpl.Dispatcher` | `fDTDDispatcher` Deprecated. DTD dispatcher.
`protected XMLDTDScanner` | `fDTDScanner` Deprecated. DTD scanner.
`protected boolean` | `fLoadExternalDTD` Deprecated. Load external DTD.
`protected XMLDocumentFragmentScannerImpl.Dispatcher` | `fPrologDispatcher` Deprecated. Prolog dispatcher.
`protected boolean` | `fScanningDTD` Deprecated. Scanning DTD.
`protected boolean` | `fSeenDoctypeDecl` Deprecated. Seen doctype declaration.
`protected XMLDocumentFragmentScannerImpl.Dispatcher` | `fTrailingMiscDispatcher` Deprecated. Trailing miscellaneous section dispatcher.
`protected ValidationManager` | `fValidationManager` Deprecated. Validation manager .
`protected XMLDocumentFragmentScannerImpl.Dispatcher` | `fXMLDeclDispatcher` Deprecated. XML declaration dispatcher.
`protected static String` | `LOAD_EXTERNAL_DTD` Deprecated. Feature identifier: load external DTD.
`protected static int` | `SCANNER_STATE_DTD_EXTERNAL` Deprecated. Scanner state: open DTD external subset.
`protected static int` | `SCANNER_STATE_DTD_EXTERNAL_DECLS` Deprecated. Scanner state: DTD external declarations.
`protected static int` | `SCANNER_STATE_DTD_INTERNAL_DECLS` Deprecated. Scanner state: DTD internal declarations.
`protected static int` | `SCANNER_STATE_PROLOG` Deprecated. Scanner state: prolog.
`protected static int` | `SCANNER_STATE_TRAILING_MISC` Deprecated. Scanner state: trailing misc.
`protected static int` | `SCANNER_STATE_XML_DECL` Deprecated. Scanner state: XML declaration.
`protected static String` | `VALIDATION_MANAGER` Deprecated.

Fields inherited from class weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl
`fContentDispatcher, fCurrentElement, fDispatcher, fDocumentHandler, fDocumentSystemId, fElementStack, fEntityStack, fHasExternalDTD, fInScanContent, fMarkupDepth, fNamespaces, fNotifyBuiltInRefs, fScannerState, fStandalone, NAMESPACES, NOTIFY_BUILTIN_REFS, SCANNER_STATE_CDATA, SCANNER_STATE_COMMENT, SCANNER_STATE_CONTENT, SCANNER_STATE_DOCTYPE, SCANNER_STATE_END_OF_INPUT, SCANNER_STATE_PI, SCANNER_STATE_REFERENCE, SCANNER_STATE_ROOT_ELEMENT, SCANNER_STATE_START_OF_MARKUP, SCANNER_STATE_TERMINATED, SCANNER_STATE_TEXT_DECL`

Fields inherited from class weblogic.apache.xerces.impl.XMLScanner
`DEBUG_ATTR_NORMALIZATION, ENTITY_MANAGER, ERROR_REPORTER, fAmpSymbol, fAposSymbol, fCharRefLiteral, fEncodingSymbol, fEntityDepth, fEntityManager, fEntityScanner, fErrorReporter, fGtSymbol, fLtSymbol, fNotifyCharRefs, fQuotSymbol, fReportEntity, fResourceIdentifier, fScanningAttribute, fStandaloneSymbol, fSymbolTable, fValidation, fVersionSymbol, NOTIFY_CHAR_REFS, SYMBOL_TABLE, VALIDATION`

Constructor Summary
`XMLDocumentScannerImpl()` Deprecated. Default constructor.

Method Summary
`protected XMLDocumentFragmentScannerImpl.Dispatcher` | `createContentDispatcher()` Deprecated. Creates a content dispatcher.
`void` | `endEntity(String name)` Deprecated. This method notifies the end of an entity.
`String[]` | `getRecognizedFeatures()` Deprecated. Returns a list of feature identifiers that are recognized by this component.
`String[]` | `getRecognizedProperties()` Deprecated. Returns a list of property identifiers that are recognized by this component.
`protected String` | `getScannerStateName(int state)` Deprecated. Returns the scanner state name.
`void` | `reset(XMLComponentManager componentManager)` Deprecated. Resets the component.
`protected boolean` | `scanDoctypeDecl()` Deprecated. Scans a doctype declaration.
`void` | `setFeature(String featureId, boolean state)` Deprecated. Sets the state of a feature.
`void` | `setInputSource(XMLInputSource inputSource)` Deprecated. Sets the input source.
`void` | `setProperty(String propertyId, Object value)` Deprecated. Sets the value of a property.
`void` | `startEntity(String name, XMLResourceIdentifier identifier, String encoding)` Deprecated. This method notifies of the start of an entity.

Methods inherited from class weblogic.apache.xerces.impl.XMLDocumentFragmentScannerImpl
`getDispatcherName, getDocumentHandler, handleEndElement, scanAttribute, scanCDATASection, scanCharReference, scanComment, scanContent, scanDocument, scanEndElement, scanEntityReference, scanPIData, scanStartElement, scanXMLDeclOrTextDecl, setDispatcher, setDocumentHandler, setScannerState`

Methods inherited from class weblogic.apache.xerces.impl.XMLScanner
`getFeature, normalizeWhitespace, reportFatalError, reset, scanAttributeValue, scanCharReferenceValue, scanComment, scanExternalID, scanPI, scanPseudoAttribute, scanPubidLiteral, scanSurrogates, scanXMLDeclOrTextDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SCANNER_STATE_XML_DECL

    protected static final int SCANNER_STATE_XML_DECL

  Deprecated.
  Scanner state: XML declaration.

  See Also:
    Constant Field Values

### SCANNER_STATE_PROLOG

    protected static final int SCANNER_STATE_PROLOG

  Deprecated.
  Scanner state: prolog.

  See Also:
    Constant Field Values

### SCANNER_STATE_TRAILING_MISC

    protected static final int SCANNER_STATE_TRAILING_MISC

  Deprecated.
  Scanner state: trailing misc.

  See Also:
    Constant Field Values

### SCANNER_STATE_DTD_INTERNAL_DECLS

    protected static final int SCANNER_STATE_DTD_INTERNAL_DECLS

  Deprecated.
  Scanner state: DTD internal declarations.

  See Also:
    Constant Field Values

### SCANNER_STATE_DTD_EXTERNAL

    protected static final int SCANNER_STATE_DTD_EXTERNAL

  Deprecated.
  Scanner state: open DTD external subset.

  See Also:
    Constant Field Values

### SCANNER_STATE_DTD_EXTERNAL_DECLS

    protected static final int SCANNER_STATE_DTD_EXTERNAL_DECLS

  Deprecated.
  Scanner state: DTD external declarations.

  See Also:
    Constant Field Values

### LOAD_EXTERNAL_DTD

    protected static final String LOAD_EXTERNAL_DTD

  Deprecated.
  Feature identifier: load external DTD.

  See Also:
    Constant Field Values

### DTD_SCANNER

    protected static final String DTD_SCANNER

  Deprecated.
  Property identifier: DTD scanner.

  See Also:
    Constant Field Values

### VALIDATION_MANAGER

    protected static final String VALIDATION_MANAGER

  Deprecated.
  See Also:
    Constant Field Values

### fDTDScanner

    protected XMLDTDScanner fDTDScanner

  Deprecated.
  DTD scanner.

### fValidationManager

    protected ValidationManager fValidationManager

  Deprecated.
  Validation manager .

### fScanningDTD

    protected boolean fScanningDTD

  Deprecated.
  Scanning DTD.

### fDoctypeName

    protected String fDoctypeName

  Deprecated.
  Doctype name.

### fDoctypePublicId

    protected String fDoctypePublicId

  Deprecated.
  Doctype declaration public identifier.

### fDoctypeSystemId

    protected String fDoctypeSystemId

  Deprecated.
  Doctype declaration system identifier.

### fLoadExternalDTD

    protected boolean fLoadExternalDTD

  Deprecated.
  Load external DTD.

### fSeenDoctypeDecl

    protected boolean fSeenDoctypeDecl

  Deprecated.
  Seen doctype declaration.

### fXMLDeclDispatcher

    protected XMLDocumentFragmentScannerImpl.Dispatcher fXMLDeclDispatcher

  Deprecated.
  XML declaration dispatcher.

### fPrologDispatcher

    protected XMLDocumentFragmentScannerImpl.Dispatcher fPrologDispatcher

  Deprecated.
  Prolog dispatcher.

### fDTDDispatcher

    protected XMLDocumentFragmentScannerImpl.Dispatcher fDTDDispatcher

  Deprecated.
  DTD dispatcher.

### fTrailingMiscDispatcher

    protected XMLDocumentFragmentScannerImpl.Dispatcher fTrailingMiscDispatcher

  Deprecated.
  Trailing miscellaneous section dispatcher.

Constructor Detail

### XMLDocumentScannerImpl

    public XMLDocumentScannerImpl()

  Deprecated.
  Default constructor.

Method Detail

### setInputSource

    public void setInputSource(XMLInputSource inputSource)
                        throws IOException

  Deprecated.
  Sets the input source.

  Specified by:
    `setInputSource` in interface `XMLDocumentScanner`
  Overrides:
    `setInputSource` in class `XMLDocumentFragmentScannerImpl`
  Parameters:
    `inputSource` - The input source.
  Throws:
    `IOException` - Thrown on i/o error.

### reset

    public void reset(XMLComponentManager componentManager)
               throws XMLConfigurationException

  Deprecated.
  Resets the component. The component can query the component manager about any features and properties that affect the operation of the component.

  Specified by:
    `reset` in interface `XMLComponent`
  Overrides:
    `reset` in class `XMLDocumentFragmentScannerImpl`
  Parameters:
    `componentManager` - The component manager.
  Throws:
    `SAXException` - Thrown by component on initialization error. For example, if a feature or property is required for the operation of the component, the component manager may throw a SAXNotRecognizedException or a SAXNotSupportedException.
    `XMLConfigurationException`

### getRecognizedFeatures

    public String[] getRecognizedFeatures()

  Deprecated.
  Returns a list of feature identifiers that are recognized by this component. This method may return null if no features are recognized by this component.

  Specified by:
    `getRecognizedFeatures` in interface `XMLComponent`
  Overrides:
    `getRecognizedFeatures` in class `XMLDocumentFragmentScannerImpl`

### setFeature

    public void setFeature(String featureId,
                           boolean state)
                    throws XMLConfigurationException

  Deprecated.
  Sets the state of a feature. This method is called by the component manager any time after reset when a feature changes state.

  Note: Components should silently ignore features that do not affect the operation of the component.

  Specified by:
    `setFeature` in interface `XMLComponent`
  Overrides:
    `setFeature` in class `XMLDocumentFragmentScannerImpl`
  Parameters:
    `featureId` - The feature identifier.
    `state` - The state of the feature.
  Throws:
    `SAXNotRecognizedException` - The component should not throw this exception.
    `SAXNotSupportedException` - The component should not throw this exception.
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### getRecognizedProperties

    public String[] getRecognizedProperties()

  Deprecated.
  Returns a list of property identifiers that are recognized by this component. This method may return null if no properties are recognized by this component.

  Specified by:
    `getRecognizedProperties` in interface `XMLComponent`
  Overrides:
    `getRecognizedProperties` in class `XMLDocumentFragmentScannerImpl`

### setProperty

    public void setProperty(String propertyId,
                            Object value)
                     throws XMLConfigurationException

  Deprecated.
  Sets the value of a property. This method is called by the component manager any time after reset when a property changes value.

  Note: Components should silently ignore properties that do not affect the operation of the component.

  Specified by:
    `setProperty` in interface `XMLComponent`
  Overrides:
    `setProperty` in class `XMLDocumentFragmentScannerImpl`
  Parameters:
    `propertyId` - The property identifier.
    `value` - The value of the property.
  Throws:
    `SAXNotRecognizedException` - The component should not throw this exception.
    `SAXNotSupportedException` - The component should not throw this exception.
    `XMLConfigurationException` - Thrown for configuration error. In general, components should only throw this exception if it is really a critical error.

### startEntity

    public void startEntity(String name,
                            XMLResourceIdentifier identifier,
                            String encoding)
                     throws XNIException

  Deprecated.
  This method notifies of the start of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entities are just specified by their name.

  Specified by:
    `startEntity` in interface `XMLEntityHandler`
  Overrides:
    `startEntity` in class `XMLDocumentFragmentScannerImpl`
  Parameters:
    `name` - The name of the entity.
    `identifier` - The resource identifier.
    `encoding` - The auto-detected IANA encoding name of the entity stream. This value will be null in those situations where the entity encoding is not auto-detected (e.g. internal entities or a document entity that is parsed from a java.io.Reader).
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### endEntity

    public void endEntity(String name)
                   throws XNIException

  Deprecated.
  This method notifies the end of an entity. The DTD has the pseudo-name of "[dtd]" parameter entity names start with '%'; and general entities are just specified by their name.

  Specified by:
    `endEntity` in interface `XMLEntityHandler`
  Overrides:
    `endEntity` in class `XMLDocumentFragmentScannerImpl`
  Parameters:
    `name` - The name of the entity.
  Throws:
    `XNIException` - Thrown by handler to signal an error.

### createContentDispatcher

    protected XMLDocumentFragmentScannerImpl.Dispatcher createContentDispatcher()

  Deprecated.
  Creates a content dispatcher.

  Overrides:
    `createContentDispatcher` in class `XMLDocumentFragmentScannerImpl`

### scanDoctypeDecl

    protected boolean scanDoctypeDecl()
                               throws IOException,
                                      XNIException

  Deprecated.
  Scans a doctype declaration.

  Throws:
    `IOException`
    `XNIException`

### getScannerStateName

    protected String getScannerStateName(int state)

  Deprecated.
  Returns the scanner state name.

  Overrides:
    `getScannerStateName` in class `XMLDocumentFragmentScannerImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD